Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageconsumers
Class ServerConsumer

    java.lang.Object
      net.sf.dropboxmq.messageconsumers.ServerConsumer

Direct Known Subclasses:
  ConnectionConsumerImpl, EndpointFactoryConsumer

    public abstract class ServerConsumer

extends Object

Created: 07 Feb 2007

Version:
  $Revision: 221 $, $Date: 2011-01-30 22:07:27 -0700 (Sun, 30 Jan 2011) $
Author:
  Dwayne Schultz

Constructor Summary
`protected` | `ServerConsumer(ConnectionImpl connection, Destination destination, String subscriptionName, String messageSelector, int maxMessages)`

Method Summary
`void` | `closeServerConsumer()`
`ConnectionImpl` | `getConnection()`
`protected abstract SessionImpl` | `newChildSession()`
`protected abstract void` | `startChildSession()`
`protected void` | `startConsuming()`
`protected String` | `toObjectString()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerConsumer

    protected ServerConsumer(ConnectionImpl connection,
                             Destination destination,
                             String subscriptionName,
                             String messageSelector,
                             int maxMessages)
                      throws JMSException

Throws:
  `JMSException`

Method Detail

### getConnection

    public ConnectionImpl getConnection()

### startConsuming

    protected void startConsuming()

### closeServerConsumer

    public void closeServerConsumer()
                             throws JMSException

  Throws:
    `JMSException`

### newChildSession

    protected abstract SessionImpl newChildSession()

### startChildSession

    protected abstract void startChildSession()
                                       throws JMSException

  Throws:
    `JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD